Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 33711 - Description area should be resizable
Description area should be resizable
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: UI
Depends on:
Blocks: 29447
  Show dependency treegraph
 
Reported: 2003-05-19 00:24 UTC by _ tboudreau
Modified: 2008-12-22 22:48 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2003-05-19 00:24:31 UTC
Use a JSplitPane for the description area
Comment 1 Jesse Glick 2003-06-02 18:36:29 UTC
The code you just checked in actually makes things worse, IMHO. There
is now a (big fat ugly!) split pane, but scrolling does not seem to
work any longer. Now you can pull the split pane down as far as
possible without truncating the currently displayed description; if
you select a new node with a longer description, it will just be
chopped off (with no visual indication) and in order to see the rest
of it you need to resize the description area (which you then need to
undo if it is larger than you normally want it). Of course there is no
way to do the resizing from the KB that I can see, whereas (at least
if some other bugs were fixed) text could be scrolled from the KB.

Given that most node descriptions fit in one line, most of the
remainder in two, and rather few really need three or more lines, what
is the benefit in using up some of the vertical space making it resizable?
Comment 2 _ tboudreau 2003-06-02 18:50:49 UTC
I agree the splitter not an improvement.

Re the scrolling, the HIE folks asked me to remove the scrolling code
you contributed.

You can right click and turn off Show Description Area on the
context menu for the sheet, fwiw.
Comment 3 _ tboudreau 2003-06-03 14:55:24 UTC
Dusan, I tend to agree that anything providing a > 2 line
short description is not providing a *short* description, and
they should be less verbose.

The splitter is ugly and cumbersome;  I think we should 
reconsider the resizability, and maybe just provide a default
size of three lines for the description, and include the full
text in the description's tooltip.
Comment 4 Jesse Glick 2003-06-03 17:26:51 UTC
Note that anything exceeding two lines in the property sheet is not
going to fit comfortably into a tooltip on a modest-sized screen (e.g.
laptop) anyway. Short descriptions longer than that are just not usable.

I originally tried the two-line default after just browsing around
various kinds of nodes I could find - I could find almost none that
actually exceeded that limit, so it seemed a reasonable compromise.
(Adding more lines cuts into the displayable property rows on a small
display and wastes usable space.) Note that I have a laptop so the
propsheet is not very wide and two lines is not a huge amount of
space. Getting the best default is going to be a matter of
experimentation I think. Default font size will also of course affect
how much you want to see by default.
Comment 5 _ tboudreau 2003-06-25 18:37:37 UTC
Okay, I've got it to where the splitter's pretty 
unobtrusive and there's no random resizing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo